**** EMPIRICAL TAXBEN MODEL
**** MASTER DO-FILE THAT COMPUTES AND REPORTS CHARACTERISTICS OF A GIVEN TAX REGIME
**** THE TAX REGIME IS A VARIABLE (`t') and has to be entered after the commad "taxbenrun"
clear 
capture clear matrix
capture set more off
set memory 512m
capture program drop taxbenrun
program define taxbenrun
args t
	capture mkdir output_`t' 
	do etbdataprocess
	do etbcomputetax
	taxcompute `t' taxben taxben_`t'
	do etbcomputeben
	bencompute `t' taxben_`t' taxben_`t' 
	do etbchars
	taxbenchars `t'
	do etbtables
	taxbentables `t' 
	do etbplots
	taxbenplots `t'
	do plotscz
	plotscz `t'
end
**********************
*** RUN THE PROGRAM: 
*** INPUT THE TAX REGIME
taxbenrun 3

*	do etbdiag //This loads programs defined in taxbendiag.do, so that they can be used in this do-file (taxbendiag and etbgraph).
